Summary: A C library for portable packet creation.
Name: libnet
Version: 1.0.2a
Release: fr1
Copyright: Distributable
Group: System Environment/Libraries
URL: http://www.packetfactory.net/libnet/
Source: http://www.packetfactory.net/libnet/dist/libnet.tar.gz
Requires: libpcap
BuildPreReq: libpcap
BuildRoot: %{_tmppath}/%{name}-root

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network
packet writing and handling (use libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionalty. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information

%prep
%setup -q -n Libnet-%{version}

%build
%configure --with-pf_packet=yes
make
rm -f doc/.#CHANGELOG.1.13
find . -type d -name CVS -exec rm -rt {} \;

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}
gzip -9 doc/libnet.3
mkdir -p %{buildroot}/%{_mandir}/man3
mv -f doc/libnet.3.gz %{buildroot}/%{_mandir}/man3

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/* example
%{_bindir}/*
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Thu Apr 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleaned-up for RedHat 7.1 and updated to 1.0.2a.

* Mon Dec 18 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up for RedHat 7.0

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-3mdk
- add macros
- BM

